Bug 186445 - PCMCIA cards not working in Compaq laptop
PCMCIA cards not working in Compaq laptop
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 11:48 EST by Gregory Gulik
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 18:43:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal output when CF card reader plugged in. (82.32 KB, text/plain)
2006-03-23 11:48 EST, Gregory Gulik
no flags Details

  None (edit)
Description Gregory Gulik 2006-03-23 11:48:48 EST
Description of problem:

I've tried several PCMCIA cards in a Compaq R3000Z laptop.  Upon inserting a CF
card reader into the PCMCIA slot the card is not recognized.

Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1. Boot FC5 on Compaq R3000Z
2. Insert CF card reader into PCMCIA slot
3.
  
Actual results:

Filesystem not mounted.  The following is logged to dmesg:
pccard: PCMCIA card inserted into slot 0
pcmcia: registering new device pcmcia0.0
Probing IDE interface ide2...
Probing IDE interface ide2...
Probing IDE interface ide2...
Probing IDE interface ide2...
Probing IDE interface ide2...
Probing IDE interface ide2...
Probing IDE interface ide2...
Probing IDE interface ide2...
Probing IDE interface ide2...
Probing IDE interface ide2...
ide-cs: ide_register() at 0x3100 & 0x310e, irq 3 failed

Expected results:

The device should be recognized as an IDE device and the filesystem mounted.

Additional info:

Output from lshal attached.
Comment 1 Gregory Gulik 2006-03-23 11:48:48 EST
Created attachment 126552 [details]
lshal output when CF card reader plugged in.
Comment 2 Gregory Gulik 2006-03-23 11:51:22 EST
I also tried a PCMCIA modem.  Upon plugging in the modem the following was
logged to dmesg and the /dev/ttyS0 device was not functional.

pccard: PCMCIA card inserted into slot 0
pcmcia: registering new device pcmcia0.0
Comment 3 Dave Jones 2006-10-16 13:45:59 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Gregory Gulik 2006-10-30 09:47:05 EST
The latest FC5/FC6 2.6.18 kernels "work for me" on the Compaq R3000Z notebook. 
I haven't tested many cards but the ones I have now work just fine.

Note You need to log in before you can comment on or make changes to this bug.